Subject: Re: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Ken Brown <[email-masked]>
Date: Tue, 11 Jun 2013 16:06:30 -0400

On 6/11/2013 3:53 PM, Eli Zaretskii wrote:
>> Date: Tue, 11 Jun 2013 15:26:56 -0400
>> From: Ken Brown <[email-masked]>
>> CC: Eli Zaretskii <[email-masked]>, [email-masked],
>>          [email-masked]
>>
>> No.  This does not happen.  The Cygwin glib maintainer takes pains to
>> patch the source if necessary to make sure that Cygwin is not treated
>> like Windows.  See, for instance, the attached patch that is used in the
>> Cygwin build.
>
> So, in this patched glib, what does g_spawn_close_pid do, and under
> what circumstances could it call 'abort'?

It does nothing.  So Jan's backtrace is suspect.  I don't know if that 
could result from optimization, but I'll build a non-optimized glib and 
see if I can get a more reliable backtrace.

Ken